CREATE OR REPLACE PROCEDURE rds.sp_dispinfodel(
    fileid uuid
)
    LANGUAGE plpgsql
AS
$$
DECLARE
    p_fileid uuid := fileid;
BEGIN
    DELETE
    FROM rds.t_disp_direct_info
    WHERE dispdirectinfofile = fileid;

    DELETE
    FROM rds.t_disp_direct_info_file f
    WHERE f.fileid = p_fileid;
END;
$$;
